# Class yii\base\Exception

Inheritance | yii\base\Exception » Exception

Subclasses

yii\apidoc\helpers\BrokenLinkException, yii\authclient\InvalidResponseException, yii\base\InvalidConfigException, yii\base\InvalidRouteException, yii\base\NotSupportedException, yii\base\UnknownClassException, yii\base\UnknownPropertyException, yii\base\UserException, yii\console\Exception, yii\console\UnknownCommandException, yii\db\Exception, yii\db\IntegrityException, yii\db\StaleObjectException, yii\di\NotInstantiableException, yii\elasticsearch\Exception, yii\httpclient\Exception, yii\log\LogRuntimeException, yii\mongodb\Exception, yii\redis\SocketException, yii\web\BadRequestHttpException, yii\web\ConflictHttpException, yii\web\ForbiddenHttpException, yii\web\GoneHttpException, yii\web\HeadersAlreadySentException, yii\web\HttpException, yii\web\MethodNotAllowedHttpException, yii\web\NotAcceptableHttpException, yii\web\NotFoundHttpException, yii\web\RangeNotSatisfiableHttpException, yii\web\ServerErrorHttpException, yii\web\TooManyRequestsHttpException, yii\web\UnauthorizedHttpException, yii\web\UnprocessableEntityHttpException, yii\web\UnsupportedMediaTypeHttpException, yii\web\UrlNormalizerRedirectException

Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/base/Exception.php

Exception represents a generic exception for all purposes.

For more details and usage information on Exception, see the guide article on handling errors.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getName() |  | yii\base\Exception

## Method Details

getName() public method

public string getName ( )
return | string | The user-friendly name of this exception